package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.OrganizationType;
import com.oguerreiro.resilient.repository.OrganizationTypeRepository;
import com.oguerreiro.resilient.service.dto.OrganizationTypeDTO;
import com.oguerreiro.resilient.service.mapper.OrganizationTypeMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.OrganizationType}.
 */
@Service
@Transactional
public class OrganizationTypeService extends AbstractResilientService<OrganizationTypeDTO, OrganizationType, Long> {

  public OrganizationTypeService(OrganizationTypeRepository organizationTypeRepository,
      OrganizationTypeMapper organizationTypeMapper) {
    super(OrganizationType.class, organizationTypeRepository, organizationTypeMapper);
  }

}
