package com.oguerreiro.resilient.web.rest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.oguerreiro.resilient.domain.VariableClass;
import com.oguerreiro.resilient.repository.VariableClassRepository;
import com.oguerreiro.resilient.service.VariableClassService;
import com.oguerreiro.resilient.service.dto.VariableClassDTO;

/**
 * REST controller for managing {@link com.oguerreiro.resilient.domain.VariableClass}.
 */
@RestController
@RequestMapping("/api/variable-classes")
public class VariableClassResource extends AbstractResilientResource<VariableClass, VariableClassDTO, Long> {

  private static final String ENTITY_NAME = "variableClass";

  private final VariableClassService variableClassService;

  public VariableClassResource(VariableClassService variableClassService,
      VariableClassRepository variableClassRepository) {
    super(VariableClass.class, variableClassRepository, variableClassService);
    this.variableClassService = variableClassService;
  }

  /* AbstractResilientResource methods impl*/
  @Override
  protected String getEntityName() {
    return ENTITY_NAME;
  }

}
