import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IMetadataProperty } from '../metadata-property.model';

@Component({
  standalone: true,
  selector: 'jhi-metadata-property-detail',
  templateUrl: './metadata-property-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class MetadataPropertyDetailComponent {
  metadataProperty = input<IMetadataProperty | null>(null);

  previousState(): void {
    window.history.back();
  }
}
