import { inject, Injectable } from '@angular/core';
import { HttpClient, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';

import { isPresent } from 'app/core/util/operators';
import { ApplicationConfigService } from 'app/core/config/application-config.service';
import { ResilientService } from 'app/resilient/resilient-base/resilient-base.service';
import { createRequestOption } from 'app/core/request/request-util';
import { IMetadataProperty, NewMetadataProperty } from '../metadata-property.model';

export type PartialUpdateMetadataProperty = Partial<IMetadataProperty> & Pick<IMetadataProperty, 'id'>;

export type EntityResponseType = HttpResponse<IMetadataProperty>;
export type EntityArrayResponseType = HttpResponse<IMetadataProperty[]>;

@Injectable({ providedIn: 'root' })
export class MetadataPropertyService extends ResilientService<IMetadataProperty, NewMetadataProperty> {
  protected http = inject(HttpClient);
  protected applicationConfigService = inject(ApplicationConfigService);

  private resourceUrl = this.applicationConfigService.getEndpointFor('api/metadata-properties');
  getResourceUrl(): string { return this.resourceUrl; }
}
