import { inject, Injectable } from '@angular/core';
import { HttpClient, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';

import { isPresent } from 'app/core/util/operators';
import { ApplicationConfigService } from 'app/core/config/application-config.service';
import { ResilientService } from 'app/resilient/resilient-base/resilient-base.service';
import { createRequestOption } from 'app/core/request/request-util';
import { IMetadataValue, NewMetadataValue } from '../metadata-value.model';

export type EntityResponseType = HttpResponse<IMetadataValue>;
export type EntityArrayResponseType = HttpResponse<IMetadataValue[]>;

@Injectable({ providedIn: 'root' })
export class MetadataValueService extends ResilientService<IMetadataValue, NewMetadataValue> {
  protected http = inject(HttpClient);
  protected applicationConfigService = inject(ApplicationConfigService);

  private resourceUrl = this.applicationConfigService.getEndpointFor('api/metadata-values');
  getResourceUrl(): string { return this.resourceUrl; }
}
