import { inject, Injectable } from '@angular/core';
import { HttpClient, HttpResponse } from '@angular/common/http';
import { Observable } from 'rxjs';

import { isPresent } from 'app/core/util/operators';
import { ApplicationConfigService } from 'app/core/config/application-config.service';
import { ResilientService } from 'app/resilient/resilient-base/resilient-base.service';
import { createRequestOption } from 'app/core/request/request-util';
import { IUnitType, NewUnitType } from '../unit-type.model';

export type EntityResponseType = HttpResponse<IUnitType>;
export type EntityArrayResponseType = HttpResponse<IUnitType[]>;

@Injectable({ providedIn: 'root' })
export class UnitTypeService extends ResilientService<IUnitType, NewUnitType> {
  protected http = inject(HttpClient);
  protected applicationConfigService = inject(ApplicationConfigService);

  private resourceUrl = this.applicationConfigService.getEndpointFor('api/unit-types');
  getResourceUrl(): string { return this.resourceUrl; }
}
