import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IVariable } from 'app/entities/variable/variable.model';
import { IUnit } from 'app/entities/unit/unit.model';
import { IUnitConverter } from 'app/entities/unit-converter/unit-converter.model';

export interface IVariableUnits extends IResilientEntity {
  variable?: Pick<IVariable, 'id' | 'name'> | null;
  unit?: Pick<IUnit, 'id' | 'name' | 'unitType'> | null;
  unitConverter?: Pick<IUnitConverter, 'id' | 'name'> | null;
}

export type NewVariableUnits = Omit<IVariableUnits, 'id'> & { id: null };
